
QGIS Application - Bug report #1257

graticule creator: don't assume 0 interval avoid avoid a freeze

2008-08-30 05:35 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11317

Description

If one fails to specify the interval, the plugin assumes 0 it seems and tries to do it's job, which takes ages and technically freezes QGIS.

Please grey-out the "OK" button unless non-0 intervals are provided (and possibly if the distance between the BL and TR corners is >0).

Associated revisions

Revision 872d2f60 - 2008-08-30 04:51 PM - Jürgen Fischer

fix #1257

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9217 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision f6e43c76 - 2008-08-30 04:51 PM - Jürgen Fischer

fix #1257

git-svn-id: http://svn.osgeo.org/qgis/trunk@9217 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-08-30 12:53 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:f6e43c76 (SVN r9218)

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
